﻿<?php
require_once 'MyanPayService.php';

$strData = $_REQUEST['data'];
$strCBI = $_REQUEST['cbi'];

$key = 'ucescetmhuirpglb';
$iv = '1481023129763010';

$strEncryptData = hexToStr($strData) ;
$strDeCodeData =  base64_decode($strEncryptData);
$decryptData = mcrypt_decrypt(MCRYPT_RIJNDAEL_128, $key, $strDeCodeData, MCRYPT_MODE_CBC, $iv);

$strEncryptCBI = hexToStr($strCBI) ;
$strDeCodeCBI =  base64_decode($strEncryptCBI);
$decryptCBI = mcrypt_decrypt(MCRYPT_RIJNDAEL_128, $key, $strDeCodeCBI, MCRYPT_MODE_CBC, $iv);

$arrData = explode('~', $decryptData);

//var_dump($arrData);
//exit();
$strStatus = $arrData[0];
$strToken = $arrData[1];
$strInvoiceNo = $arrData[2];
$strPaymentAmount = $arrData[3];
$TransactionNo = $arrData[4];
$strErrCode = $arrData[5];

	$strMessage = "Success";
	switch ($strErrCode) {
		case 1020030:
		$strMessage = "Your amount will be less than minimum personal balance amount.";
		break;
		
		case 1020040:
		$strMessage = "Your amount will be exceed than maximum personal balance amount.";
		break;

		case 1020060:
		$strMessage = "Your amount will be exceed than maximum business balance amount.";
		break;

		case 1020070:
		$strMessage = "Total amount of current transaction type is exceed than upper limit.";
		break;

		case 1020090:
		$strMessage = "Receiver's balance amount is less than personal minimum balance amount.";
		break;

		case 1020100:
		$strMessage = "Receiver's balance amount is exceed than personal maximum balance amount.";
		break;

		case 1020110:
		$strMessage = "Receiver's balance amount is less than business minimum balance amount.";
		break;

		case 1020120:
		$strMessage = "Receiver balance amount is exceed than business maximum balance amount.";
		break;

		case 1020210:
		$strMessage = "Your current balance amount is less than minimum business account balance.";
		break;

		case 1020220:
		$strMessage = "Your current balance amount is exceed than maximum business account balance.";
		break;

		case 1010230:
		$strMessage = "Your current account status is inverified.";
		break;

		case 1010450:
		$strMessage = "Recipient do not have permission to accept or reply current transaction type now.Please, contact him";
		break;

		case 10100123:
		$strMessage = "You do not have permission to send money for goods via express checkout.";
		break;

		case 1020360:
		$strMessage = "Your activation code is invalid or already used.";
		break;

		case 1020610:
		$strMessage = "Your current token is already expired ( or ) it has already used.";
		break;

		case 1020620:
		$strMessage = "Unexpected Error.";
		break;

		case 1020630:
		$strMessage = "cancel by buyer";
		break;

		case 1020640:
		$strMessage = $arrData[6];
		break;
		
		
	}

$strBuyerName = $arrData[7];
$strBuyerEmail = $arrData[8];

$method = $arrData[9];
	switch ($method) {
		case 100:
		$paymethod = "MyanPay";
		break;

		case 125:
		$paymethod = "MPU";
		break;

		case 150:
		$paymethod = "OnlineBanking";
		break;

		case 200:
		$paymethod = "MobilePayment";
		break;
		
	}


?>

<html>
<head>
<title>MyanPay Multi Checkout Response</title>
<link type="text/css" href="style.css" rel="stylesheet"/>
</head>
<body>
<center>

<h3> MyanPay Multi Checkout Response </h3>

<table cellspacing="0" cellpadding="0" border="0" class="display" bgcolor="#ffffff" >
<tbody>
	<tr>
    	<td valign="top">        
            <table cellspacing="0" cellpadding="0" border="0" class="display" bgcolor="#ffffff" >
            <tbody>
                <tr>
                    <td colspan="3" align="center"> <b> Payment Information </b> </td>        
                </tr>
                <tr>
                    <td> Status </td>
                    <td> : </td>
                    <td> <?php echo $strStatus ;?> </td>
                </tr>
                <tr>
                    <td> Token </td>
                    <td> : </td>
                    <td> <?php echo $strToken ;?> </td>
                </tr>
                <tr>
                    <td> InvoiceNo </td>
                    <td> : </td>
                    <td> <?php echo $strInvoiceNo ;?> </td>
                </tr>
                <tr>
                    <td> PaymentAmount </td>
                    <td> : </td>
                    <td> <?php echo $strPaymentAmount ;?> </td>
                </tr>
                <tr>
                    <td> TransactionNo </td>
                    <td> : </td>
                    <td> <?php echo $TransactionNo ;?> </td>
                </tr>
                <tr>
                    <td> Message </td>
                    <td> : </td>
                    <td> <?php echo $strMessage ;?> </td>
                </tr>
                 <tr>
                    <td> Payment Method </td>
                    <td> : </td>
                    <td> <?php echo $paymethod ;?> </td>
                </tr>
            </tbody>
            </table>
		</td>
       
        <td valign="top">
            <table cellspacing="0" cellpadding="0" border="0" class="display" bgcolor="#ffffff" >
            <tbody>
                <tr>
                    <td colspan="3" align="center"> <b> Buyer Information </b> </td>        
                </tr>
                <tr>
                    <td> Name </td>
                    <td> : </td>
                    <td> <?php echo $strBuyerName ;?> </td>
                </tr>
                <tr>
                    <td> Email </td>
                    <td> : </td>
                    <td> <?php echo $strBuyerEmail ;?> </td>
                </tr>
                   
            </tbody>
            </table>            
		</td>
	</tr>
</table>
</center>
</body>
</html>

